commit:     6bdad727b9ad9d4fd441c27796f0e8a1559793df
Author:     Gavin Pryke <gavinlee303 <AT> gmail <DOT> com>
AuthorDate: Thu Oct 15 19:01:45 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri Oct 30 17:27:45 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bdad727

media-plugins/mcp-plugins: fix HOMEPAGE, SRC_URI, EAPI=5. bug #437186

The HOMEPAGE and SRC_URI for kokkinizita upstream was changed
some time ago. These changes point said variables to the new
location. The previous ebuild was EAPI=4 which has been marked
deprecated so bumped to EAPI=5, revbumped and modified ebuild
accordingly.

Bug: https://bugs.gentoo.org/show_bug.cgi?id=437186

 .../mcp-plugins/mcp-plugins-0.4.0-r1.ebuild        | 35 ++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/media-plugins/mcp-plugins/mcp-plugins-0.4.0-r1.ebuild 
b/media-plugins/mcp-plugins/mcp-plugins-0.4.0-r1.ebuild
new file mode 100644
index 0000000..344f21d
--- /dev/null
+++ b/media-plugins/mcp-plugins/mcp-plugins-0.4.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit multilib toolchain-funcs
+
+MY_P=${P/mcp/MCP}
+
+DESCRIPTION="MCP ladspa plugins package. Includes moogvcf, phaser & chorus"
+HOMEPAGE="http://kokkinizita.linuxaudio.org/linuxaudio/";
+SRC_URI="http://kokkinizita.linuxaudio.org/linuxaudio/downloads/${MY_P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND="media-libs/ladspa-sdk"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       tc-export CXX
+       sed -i -e "s/-O3//" \
+               -e "s/g++/$(tc-getCXX) ${LDFLAGS}/" Makefile || die "sed failed"
+}
+
+src_install() {
+       dodoc AUTHORS README
+       insinto /usr/$(get_libdir)/ladspa
+       insopts -m0755
+       doins *.so
+}

Reply via email to